import httpclient, json, strutils

proc newAuthenticatedHttpClient*(apiBase, uname, pwd: string): HttpClient =
  result = newHttpClient()
  let authResp = result.post(apiBase & "/auth-token", $(%*{"username": uname, "password": pwd}))
  assert authResp.status.startsWith("200")
  result.headers = newHttpHeaders({"Authorization": "Bearer " & parseJson(authResp.body).getStr})


